#! /bin/sh
#  MX Tcl/Tk GUI main program written by William Lavender.
#
#  Copyright 1999 Illinois Institute of Technology
#
#  See the file "LICENSE" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#
#  Look for mxwish in the users' PATH. \
exec mxwish "$0" ${1+"$@"}

#
#  This file should _not_ have a package provide line in it.  So don't 
#  put one in.
#

set version [info tclversion]

if { [ expr $version < 8.0 ] } {
	puts "Tcl versions older than 8.0 are not supported by the MX Tcl GUI."
	puts "You have Tcl version $version"
	puts "Exiting..."
	exit
}

set status [ catch { split $env(MX_TCL_LIBRARY_PATH) ";" } dirlist ]

if { $status != 0 } {
	lappend auto_path ../libMxTcl ../mxgui
} else {
	foreach dir $dirlist {
		lappend auto_path $dir
	}
}

set status [ catch { split $env(MX_TCL_CLASS_SCRIPT) ";" } class_script ]

if { $status != 0 } {
	set class_script ../libMxTcl/mx.tcl
}

source $class_script

package require MxGui
package require Mx
package require Iwidgets 3.0

setup_mxgui $argv

